/* NOTES  */
:root {
    --pinkMain: #e30172;
    --pinkDark: #b4025b;
    --pinkLight: #ff2893;
    --pinkLighter: #ffc1e0;
    --purple: #7b3d96;
}

/* @import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400&display=swap'); */

/* GENERAL STYLES *************************/
.mobile {
    display: inline;
}
.desktop {
    display: none;
}
.floatleft {
    float: left;
}

.floatright {
    float: right;
}

.alignleft {
    text-align: left;
}

.alignright {
    text-align: right;
}

.aligncenter {
    text-align: center;
}

.italic {
    font-style: italic;
}

.bold {
    font-weight: bold;
}

/***	POSITIONING	*******************/

body {
    background-color: white;
    margin: 0;
    padding: 0;
    font-family: Georgia, Times, serif;
    color: #424242;
    font-size: 18px;
    padding-bottom: 50px;
}

/** CONTAINER DIV ****************/
#containerdiv {
    /* height: 100vh; */
    width: 100%;
    max-width: 100vw;
    text-align: left;
    margin: 0 auto;
    /* min-height: 100vh; */
    background-color: none;
    background-repeat: no-repeat;
    background-size: cover;
    border: 0px;
}

/* CONTENT DIV ************************/
#contentdiv {
    height: auto;
    width: 100%;
    text-align: justify;
    margin: 0;
    overflow: auto;
    padding: 10px 10px 10px 10px;
    background-color: #fff;
    background-color: rgba(255, 255, 255, 0.8);
}

body#bio #contentdiv {
}

body#booking #contentdivvideo {
    max-width: 90%;
    margin: 0 auto;
}

body#cdstore #contentdiv {
}

body#shows #contentdiv {
}

body#links #contentdiv {
}

body#pics #contentdiv {
}

body#media #contentdiv {
}

body#media #contentdivaudio,
body#media #contentdivvideo,
body#media #contentdivinterviews {
    margin-top: 50px;
}

body#media #contentdivaudio {
}

body#media #contentdivvideo {
}

body#contact #contentdiv {
    text-align: center;
}

/**************** TEXT STUFF ****************/
p {
    padding: 0px 15px 20px;
    line-height: 1.5em;
}

h1,
h2,
h3,
h4 {
    color: var(--pinkMain);
    text-align: center;
    font-family: Georgia, Times, serif;
    text-transform: capitalize;
}

h1 {
    margin: 10px 0;
}

h2 {
    text-align: left;
    margin: 20px 0;
}

h3 {
    margin: 40px 0 0;
    padding-bottom: 0;
}

hr {
    background-color: #7b3d96;
    height: 1px;
    border: 0px;
    margin: 20px 15px 20px 15px;
}

hr.hrstrong {
    background-color: #7b3d96;
    height: 3px;
    border: 0px;
    margin: 40px 15px 30px 15px;
}

b i {
    color: var(--pinkMain);
}

a {
    font-weight: normal;
    text-decoration: none;
    color: var(--pinkMain);
    padding-bottom: 0;
}

a:hover {
    color: #7b3d96;
    text-decoration: underline;
}

.allcaps {
    text-transform: uppercase;
}

.italics {
    font-style: italic;
}

input.buynow:hover {
    opacity: 0.7;
    -moz-opacity: 0.7;
    filter: alpha(opacity=70);
}

.button {
    color: white;
    font-family: "Helvetica Neue", Arial, Helvetica, Geneva, sans-serif;
    font-weight: bold;
    border: 1px solid var(--pinkMain);
    background: var(--pinkMain);
    padding: 0px 6px;
    text-decoration: none;
    border-radius: 6px;
}

.button:hover {
    color: white;
    background: var(--pinkLight);
    text-decoration: none;
}

.button:active {
    background: var(--pinkDark);
}

.videolinks {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin-top: 30px;
}

.videolinks .button {
    text-align: left;
    margin: 5px;
}

.inverse {
    color: var(--pinkMain);
    background: #fff;
}

.inverse:hover {
    color: white;
    background: var(--pinkLight);
}

.inverse:active {
    color: white;
    background: var(--pinkDark);
}

.cdcovers {
    border: 1px solid #ccc;
    max-width: 30vw;
    /* max-height: 150px; */
    margin-bottom: 5px;
}

body#cdstore #contentdiv div {
    margin: 0px;
    margin-top: 25px;
}

#footertext {
    text-align: center !important;
    padding-top: 30px;
    color: var(--pinkLight);
    border-top: 1px solid var(--pinkLighter);
}

/********* START HOME **************************/
body#home #containerdiv {
    background-image: url(images/bkgd-home-sixtieschicks.jpg);
    width: 100%;
    min-height: 100vh;
    background-repeat: no-repeat;
    background-size: contain;
    background-position: top;
    border: 0;
}

body#home #contentdiv {
    padding: 0;
    background-color: rgba(255, 255, 255, 0);
    overflow: hidden;
}

/* body#home div.weeklygig {
  position: absolute;
  top: 200px;
  left: 550px;
} */

body#home .quote1,
body#home .quote2,
body#home .quote3 {
    position: relative;
    max-width: 300px;
    margin: 50px auto 0;
}

body#home div.boxedtext {
    background-color: white;
    padding: 3px;
    margin: 10px;
    margin-top: 20px;
    margin-bottom: 40px;
    border: 3px solid var(--pinkMain);
    border-radius: 10px;
}

body#home div.boxedtext p {
    font-weight: bold;
    text-decoration: none;
    color: var(--pinkMain);
    /* font-size: 18px; */
    line-height: 1.4em;
    padding: 5px;
    margin: 5px;
}

body#home div.regularshow a {
    text-decoration: none;
}

body#home div.weeklygig a:hover {
    text-decoration: none;
}

body#home div.weeklygig a:hover div.regularshow {
    background-color: #fff;
}

/* HOMEPAGE announcements */
div.announcements {
    height: 100vh;
    width: 150px;
    position: relative;
    padding: 0;
    padding-bottom: 100px;
    top: min(30vw, 150px);
    left: 60vw;
    z-index: 100;
}

.valentines,
.sixtieschicks,
.moreamore,
.valentines img,
.moreamore img,
.sixtieschicks img {
    width: 130px;
    height: 130px;
    width: min(20vw, 130px);
    height: min(20vw, 130px);
    transition: 0.5s;
}

.valentines,
.sixtieschicks,
.moreamore {
    position: relative;
    transform: rotate(5deg);
    transition: 0.5s;
    border: 1px solid gray;
    box-shadow: 0px 0px 30px #ccc;
}

.valentines:hover,
.sixtieschicks:hover,
.moreamore:hover,
.valentines img:hover,
.sixtieschicks img:hover,
.moreamore img:hover {
    box-shadow: 0px 0px 80px #fff;
    border: 1px solid white;
    transition: 0.5s;
    cursor: pointer;
    scale: 1.1;
}
/* END: HOMEPAGE announcements */
/********** END HOME ******************/

/* DETAILS ************************/
body#details div.container {
    width: 100%;
    max-width: 500px;
    margin: 30px auto;
}

a.details {
    float: right;
    /* color: white;
  font-family: "Helvetica Neue", Arial, Helvetica, Geneva, sans-serif;
  font-weight: bold;
  border: 1px solid var(--pinkMain);
  background: var(--pinkMain);
  padding: 0px 2px 0px 2px;
  text-decoration: none;
  border-radius: 6px; */
}

a.details:hover {
    /* color: white;
  background: var(--pinkMain);
  text-decoration: none; */
}

body#details p.button-back {
    text-align: center;
    margin-top: 30px;
}

body#details p.button-back a {
    color: var(--pinkMain);
    font-weight: bold;
    border: 1px solid var(--pinkMain);
    background: white;
    padding: 4px 10px;
    text-decoration: none;
    border-radius: 6px;
    position: relative;
    transition: 0.3s;
}

body#details p.button-back a:hover {
    background: var(--pinkLight);
}

body#details p.button-back a:active {
    background: var(--pinkLight);
    left: 1px;
    top: 1px;
}

body#details h1 {
    font-size: 1.5em;
    text-align: center;
    margin: 10px 0px 10px 0px;
    letter-spacing: normal;
    text-transform: lowercase;
}

body#details h2 {
    font-size: 1.2em;
    text-align: center;
    margin: 5px 0px 5px 0px;
    letter-spacing: normal;
    text-transform: lowercase;
}

body#details h3 {
    /* font-size: 14px; */
    text-align: center;
    margin: 5px 0px 5px 0px;
    letter-spacing: normal;
    text-transform: lowercase;
}

body#details p {
    /* text-align: justify; */
}

body#details p:first-of-type {
    margin-top: 30px;
}

body#details b {
    color: var(--pinkMain);
}

body#details table {
    width: 370px;
}

/* END DETAILS ************************/

/* START SHOWS **************************/

body#shows #contentdiv p {
    padding-bottom: 30px;
    margin-bottom: 30px;
    text-align: left;
    border-bottom: 1px solid var(--pinkLight);
}

.pastfuture {
    text-align: right !important;
}

body#shows p .details {
}

body#shows i {
    color: #424242;
    font-weight: bold;
}

body#shows div.regularshow {
    background-color: #fcdee5;
    padding: 3px;
    margin: 10px;
    margin-top: 20px;
    margin-bottom: 40px;
    border: 1px dotted #f39dcb;
    border-radius: 10px;
    box-shadow: 5px 5px 10px #888888;
}

body#shows div.specialshow {
    font-weight: bold;
    background-color: #fbde6a;
    padding: 3px;
    margin: 10px;
    margin-top: 20px;
    border: 1px dotted #f39dcb;
    border-radius: 10px;
    box-shadow: 5px 5px 10px #888888;
}

/* END SHOWS **************************/

/*** START Pics page ***/

body#pics #contentdiv {
    max-width: 100%;
    height: fit-content;
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    align-items: center;
}

body#pics #contentdiv .thumbs {
    /* display: flexbox; */
    /* flex: 50%; */
    border: 1px solid var(--pinkMain);
    max-width: 80px;
    max-height: 80px;
    margin: 15px;
}

img.thumbs {
    /* max-width: 80px;
  max-height: 50px; */
    /* margin: 20px;
  margin-top: 18px; */
}

/*
img.thumbs_picsnew {
  max-width: 100px;
  max-height: 80px;
  border: 1px solid var(--pinkMain);
  margin: 20px;
  margin-top: 18px;
} */

img.thumbs:hover {
    opacity: 0.7;
    -moz-opacity: 0.7;
    filter: alpha(opacity=70);
}

/*** END Pics page ***/

/*** START Contact page ***/
body#contact #contentdiv p {
    text-align: center;
}

#contentdivmailinglist {
    border-top: 1px solid var(--pinkLighter);
    text-align: center;
    vertical-align: middle;
    margin-top: 30px;
    padding-top: 15px;
}

#contentdivmailinglist form input {
    text-align: left;
    border: 1px solid var(--pinkMain);
    background-color: #fff;
    font-size: 1em;
    padding: 10px;
    border-radius: 3px;
    color: #424242;
    font-family: Georgia, Times, serif;
}

#contentdivmailinglist form input[type="submit"]:hover {
    cursor: pointer;
    background-color: var(--pinkLight);
    color: white;
}

#contentdivmailinglist form input[type="submit"]:active {
    background-color: var(--pinkDark);
    color: white;
}

/* 
form#contactform input.formfield,
form#contactform textarea.formfield {
  width: 90%;
  margin-left: 5%;
  margin-right: 5%;
} */

/* input.button {
  border: 0px;
  padding: 3px 6px 3px 6px;
  margin-right: 5%;
  text-align: center; 
} */

/*** END Contact page ***/

/*** START QUOTES page ***/
.quote {
    margin: 30px 0;
}

.quote p {
    text-align: center;
    margin-top: 0;
    margin-bottom: 0;
}

.quote p:first-of-type::before,
.quote p:first-of-type::after {
    content: '"';
}

/* .quote:nth-child(odd) p {
text-align: left;
}

.quote:nth-child(even) p {
text-align: right;
}

*/
.quote p:first-of-type {
    font-style: italic;
    color: var(--pinkMain);
}

.quote p:last-of-type {
}

/*** END QUOTES page ***/

/*** START BOOKING page ***/

#booking h3:not(:first-child) {
    padding-top: 50px;
}

/*** END BOOKING page ***/

.fadein {
    animation: fadein 1s;
    -moz-animation: fadein 1s;
    /* Firefox */
    -webkit-animation: fadein 1s;
    /* Safari and Chrome */
    -o-animation: fadein 1s;
    /* Opera */
    /*opacity: 0.8;*/
    transition: opacity 0.3s ease-in-out;
    -moz-transition: opacity 0.3s ease-in-out;
    -webkit-transition: opacity 0.3s ease-in-out;
}

@keyframes fadein {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@-moz-keyframes fadein {
    /* Firefox */
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@-webkit-keyframes fadein {
    /* Safari and Chrome */
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@-o-keyframes fadein {
    /* Opera */
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

/*** START VIDEO EMBED ***/
/* YouTube Ratio for embedded video from here: 
http://www.mademyday.de/css-height-equals-width-with-pure-css.html
*/

.embedbox {
    position: relative;
    width: 100%;
    /* desired width */
}

.embedbox:before {
    content: "";
    display: block;
    padding-top: 60%;
    /* 1:1 use 100%; 4:3 use 75%, etc */
}

.embedcontent {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
}

iframe.youtube {
    width: 100%;
    height: 100%;
}

.stack-top {
    z-index: 9;
    margin: 20px;
    background: none;
    color: red;
    text-align: center;
    font-size: 1.3em;
    height: 20%;
    overflow: visible;
}

/*** END VIDEO EMBED ***/
